## e-cal-component-attendee

e-cal-component-attendee — An ECalComponentAttendee structure

## Functions

ECalComponentAttendee * | e_cal_component_attendee_new ()
ECalComponentAttendee * | e_cal_component_attendee_new_full ()
ECalComponentAttendee * | e_cal_component_attendee_new_from_property ()
ECalComponentAttendee * | e_cal_component_attendee_copy ()
void | e_cal_component_attendee_free ()
void | e_cal_component_attendee_set_from_property ()
ICalProperty * | e_cal_component_attendee_get_as_property ()
void | e_cal_component_attendee_fill_property ()
const gchar * | e_cal_component_attendee_get_value ()
void | e_cal_component_attendee_set_value ()
const gchar * | e_cal_component_attendee_get_member ()
void | e_cal_component_attendee_set_member ()
ICalParameterCutype | e_cal_component_attendee_get_cutype ()
void | e_cal_component_attendee_set_cutype ()
ICalParameterRole | e_cal_component_attendee_get_role ()
void | e_cal_component_attendee_set_role ()
ICalParameterPartstat | e_cal_component_attendee_get_partstat ()
void | e_cal_component_attendee_set_partstat ()
gboolean | e_cal_component_attendee_get_rsvp ()
void | e_cal_component_attendee_set_rsvp ()
const gchar * | e_cal_component_attendee_get_delegatedfrom ()
void | e_cal_component_attendee_set_delegatedfrom ()
const gchar * | e_cal_component_attendee_get_delegatedto ()
void | e_cal_component_attendee_set_delegatedto ()
const gchar * | e_cal_component_attendee_get_sentby ()
void | e_cal_component_attendee_set_sentby ()
const gchar * | e_cal_component_attendee_get_cn ()
void | e_cal_component_attendee_set_cn ()
const gchar * | e_cal_component_attendee_get_language ()
void | e_cal_component_attendee_set_language ()
ECalComponentParameterBag * | e_cal_component_attendee_get_parameter_bag ()

## Types and Values

| ECalComponentAttendee

## Object Hierarchy

        GBoxed
        ╰── ECalComponentAttendee

## Includes

    #include <libecal/libecal.h>

## Description

Contains functions to work with the ECalComponentAttendee structure.

## Functions

### e_cal_component_attendee_new ()

    ECalComponentAttendee *
    e_cal_component_attendee_new (void);

Creates a new empty ECalComponentAttendee structure. Free it with `e_cal_component_attendee_free()`, when no longer needed.

#### Returns

a newly allocated ECalComponentAttendee.

[transfer full]

Since: 3.34

### e_cal_component_attendee_new_full ()

    ECalComponentAttendee *
    e_cal_component_attendee_new_full (const gchar *value,
                                       const gchar *member,
                                       ICalParameterCutype cutype,
                                       ICalParameterRole role,
                                       ICalParameterPartstat partstat,
                                       gboolean rsvp,
                                       const gchar *delegatedfrom,
                                       const gchar *delegatedto,
                                       const gchar *sentby,
                                       const gchar *cn,
                                       const gchar *language);

Creates a new ECalComponentAttendee structure, with all members filled with given values from the parameters. The `NULL` and empty strings are treated as unset the value. Free the structure with `e_cal_component_attendee_free()`, when no longer needed.

#### Parameters

value | usually a "mailto:email" of the attendee. | [nullable]
member | member parameter. | [nullable]
cutype | type of the attendee, an ICalParameterCutype |
role | role of the attendee, an ICalParameterRole |
partstat | current status of the attendee, an ICalParameterPartstat |
rsvp | whether requires RSVP |
delegatedfrom | delegated from. | [nullable]
delegatedto | delegated to. | [nullable]
sentby | sent by. | [nullable]
cn | common name. | [nullable]
language | language. | [nullable]

#### Returns

a newly allocated ECalComponentAttendee.

[transfer full]

Since: 3.34

### e_cal_component_attendee_new_from_property ()

    ECalComponentAttendee *
    e_cal_component_attendee_new_from_property
                                   (const ICalProperty *property);

Creates a new ECalComponentAttendee, filled with values from `property` , which should be of kind `I_CAL_ATTENDEE_PROPERTY`. The function returns `NULL` when it is not of the expected kind. Free the structure with `e_cal_component_attendee_free()`, when no longer needed.

#### Parameters

property | an ICalProperty of kind `I_CAL_ATTENDEE_PROPERTY` |

#### Returns

a newly allocated ECalComponentAttendee.

[transfer full][nullable]

Since: 3.34

### e_cal_component_attendee_copy ()

    ECalComponentAttendee *
    e_cal_component_attendee_copy (const ECalComponentAttendee *attendee);

Returns a newly allocated copy of `attendee` , which should be freed with `e_cal_component_attendee_free()`, when no longer needed.

#### Parameters

attendee | an ECalComponentAttendee. | [not nullable]

#### Returns

a newly allocated copy of `attendee` .

[transfer full]

Since: 3.34

### e_cal_component_attendee_free ()

    void
    e_cal_component_attendee_free (gpointer attendee);

Free `attendee` , previously created by `e_cal_component_attendee_new()`, `e_cal_component_attendee_new_full()`, `e_cal_component_attendee_new_from_property()` or `e_cal_component_attendee_copy()`. The function does nothing, if `attendee` is `NULL`.

[skip]

#### Parameters

attendee | an ECalComponentAttendee to free. | [type ECalComponentAttendee][nullable]

Since: 3.34

### e_cal_component_attendee_set_from_property ()

    void
    e_cal_component_attendee_set_from_property
                                   (ECalComponentAttendee *attendee,
                                    const ICalProperty *property);

Fill the `attendee` structure with the information from the `property` , which should be of `I_CAL_ATTENDEE_PROPERTY` kind.

#### Parameters

attendee | an ECalComponentAttendee |
property | an ICalProperty |

Since: 3.34

### e_cal_component_attendee_get_as_property ()

    ICalProperty *
    e_cal_component_attendee_get_as_property
                                   (const ECalComponentAttendee *attendee);

Converts information stored in `attendee` into an ICalProperty of `I_CAL_ATTENDEE_PROPERTY` kind. The caller is responsible to free the returned object with `g_object_unref()`, when no longer needed.

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

a newly created ICalProperty, containing information from the `attendee` .

[transfer full]

Since: 3.34

### e_cal_component_attendee_fill_property ()

    void
    e_cal_component_attendee_fill_property
                                   (const ECalComponentAttendee *attendee,
                                    ICalProperty *property);

Fill `property` with information from `attendee` . The `property` should be of kind `I_CAL_ATTENDEE_PROPERTY`.

#### Parameters

attendee | an ECalComponentAttendee |
property | an ICalProperty. | [inout][not nullable]

Since: 3.34

### e_cal_component_attendee_get_value ()

    const gchar *
    e_cal_component_attendee_get_value (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` URI, usually of "mailto:email" form.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_value ()

    void
    e_cal_component_attendee_set_value (ECalComponentAttendee *attendee,
                                        const gchar *value);

Set the `attendee` URI, usually of "mailto:email" form. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
value | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_member ()

    const gchar *
    e_cal_component_attendee_get_member (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` member property.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_member ()

    void
    e_cal_component_attendee_set_member (ECalComponentAttendee *attendee,
                                         const gchar *member);

Set the `attendee` member parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
member | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_cutype ()

    ICalParameterCutype
    e_cal_component_attendee_get_cutype (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` type, as an ICalParameterCutype

Since: 3.34

### e_cal_component_attendee_set_cutype ()

    void
    e_cal_component_attendee_set_cutype (ECalComponentAttendee *attendee,
                                         ICalParameterCutype cutype);

Set the `attendee` type, as an ICalParameterCutype.

#### Parameters

attendee | an ECalComponentAttendee |
cutype | the value to set, as an ICalParameterCutype |

Since: 3.34

### e_cal_component_attendee_get_role ()

    ICalParameterRole
    e_cal_component_attendee_get_role (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` role, as an ICalParameterRole

Since: 3.34

### e_cal_component_attendee_set_role ()

    void
    e_cal_component_attendee_set_role (ECalComponentAttendee *attendee,
                                       ICalParameterRole role);

Set the `attendee` role, as an ICalParameterRole.

#### Parameters

attendee | an ECalComponentAttendee |
role | the value to set, as an ICalParameterRole |

Since: 3.34

### e_cal_component_attendee_get_partstat ()

    ICalParameterPartstat
    e_cal_component_attendee_get_partstat (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` status, as an ICalParameterPartstat

Since: 3.34

### e_cal_component_attendee_set_partstat ()

    void
    e_cal_component_attendee_set_partstat (ECalComponentAttendee *attendee,
                                           ICalParameterPartstat partstat);

Set the `attendee` status, as an ICalParameterPartstat.

#### Parameters

attendee | an ECalComponentAttendee |
partstat | the value to set, as an ICalParameterPartstat |

Since: 3.34

### e_cal_component_attendee_get_rsvp ()

    gboolean
    e_cal_component_attendee_get_rsvp (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

whether the `attendee` requires RSVP

Since: 3.34

### e_cal_component_attendee_set_rsvp ()

    void
    e_cal_component_attendee_set_rsvp (ECalComponentAttendee *attendee,
                                       gboolean rsvp);

Set the `attendee` RSVP.

#### Parameters

attendee | an ECalComponentAttendee |
rsvp | the value to set |

Since: 3.34

### e_cal_component_attendee_get_delegatedfrom ()

    const gchar *
    e_cal_component_attendee_get_delegatedfrom
                                   (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` delegatedfrom parameter.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_delegatedfrom ()

    void
    e_cal_component_attendee_set_delegatedfrom
                                   (ECalComponentAttendee *attendee,
                                    const gchar *delegatedfrom);

Set the `attendee` delegatedfrom parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
delegatedfrom | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_delegatedto ()

    const gchar *
    e_cal_component_attendee_get_delegatedto
                                   (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` delegatedto parameter.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_delegatedto ()

    void
    e_cal_component_attendee_set_delegatedto
                                   (ECalComponentAttendee *attendee,
                                    const gchar *delegatedto);

Set the `attendee` delegatedto parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
delegatedto | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_sentby ()

    const gchar *
    e_cal_component_attendee_get_sentby (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` sentby parameter.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_sentby ()

    void
    e_cal_component_attendee_set_sentby (ECalComponentAttendee *attendee,
                                         const gchar *sentby);

Set the `attendee` sentby parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
sentby | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_cn ()

    const gchar *
    e_cal_component_attendee_get_cn (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` common name (cn) parameter.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_cn ()

    void
    e_cal_component_attendee_set_cn (ECalComponentAttendee *attendee,
                                     const gchar *cn);

Set the `attendee` common name (cn) parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
cn | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_language ()

    const gchar *
    e_cal_component_attendee_get_language (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

the `attendee` language parameter.

[nullable]

Since: 3.34

### e_cal_component_attendee_set_language ()

    void
    e_cal_component_attendee_set_language (ECalComponentAttendee *attendee,
                                           const gchar *language);

Set the `attendee` language parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

attendee | an ECalComponentAttendee |
language | the value to set. | [nullable]

Since: 3.34

### e_cal_component_attendee_get_parameter_bag ()

    ECalComponentParameterBag *
    e_cal_component_attendee_get_parameter_bag
                                   (const ECalComponentAttendee *attendee);

#### Parameters

attendee | an ECalComponentAttendee |

#### Returns

an ECalComponentParameterBag with additional parameters stored with the attendee property, other than those accessible with the other functions of the `attendee` .

[transfer none]

Since: 3.34

## Types and Values

### ECalComponentAttendee

    typedef struct _ECalComponentAttendee ECalComponentAttendee;

Describes an attendee. Use the functions below to work with it.